GNU bug report logs - #43284
Synapse v1.14.0 fails to build

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; merged with #42370, #43402; dated Tue, 8 Sep 2020 18:46:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 42370 43284 43402. Request was from Michael Rohleder <mike@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 42370 43284. Request was from Michael Rohleder <mike@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43284 <at> debbugs.gnu.org:


Received: (at 43284) by debbugs.gnu.org; 8 Sep 2020 19:15:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 15:15:16 2020
Received: from localhost ([127.0.0.1]:56480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFj5I-00058w-Eb
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 15:15:16 -0400
Received: from wp224.webpack.hosteurope.de ([80.237.132.231]:40664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1kFj5G-00058n-Hk
 for 43284 <at> debbugs.gnu.org; Tue, 08 Sep 2020 15:15:15 -0400
Received: from www.rohleder.de ([37.61.204.227]); authenticated
 by wp224.webpack.hosteurope.de running ExIM with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 id 1kFj5E-00018A-Lj; Tue, 08 Sep 2020 21:15:12 +0200
Received: from [192.168.1.3] (helo=micha)
 by www.rohleder.de with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94)
 (envelope-from <mike@HIDDEN>)
 id 1kFj5B-0007VJ-UF; Tue, 08 Sep 2020 21:15:12 +0200
From: Michael Rohleder <mike@HIDDEN>
To: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Subject: Re: bug#43284: Synapse v1.14.0 fails to build
References: <87sgbsf6qr.fsf@HIDDEN>
X-PGP-Fingerprint: 755E 2DE5 D0D5 85C5 2E78  2830 7C7A FFBE FEF2 CB25
X-PGP-Key: https://www.rohleder.de/~mike/pgpkey.asc
Date: Tue, 08 Sep 2020 21:14:35 +0200
In-Reply-To: <87sgbsf6qr.fsf@HIDDEN> (Katherine Cox-Buday's message of
 "Tue, 08 Sep 2020 13:44:44 -0500")
Message-ID: <87o8mgkrms.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-bounce-key: webpack.hosteurope.de;mike@HIDDEN;1599592514;8431cd45;
X-HE-SMSGID: 1kFj5E-00018A-Lj
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 43284
Cc: 43284 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Seems to be the same as in #42370:
https://issues.guix.gnu.org/42370

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFFBAEBCAAvFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAl9X2BsRHG1pa2VAcm9o
bGVkZXIuZGUACgkQfHr/vv7yyyX2NAf/R8nPLSaAIPS8ERooTVmTNR1Y2wrMaQUM
uGU2ImiRevW0SJFevP4G3H3BAOlZ7ltxm0usUReAVu6DLI0vjujGhOxfpJLL+dIv
EhXNzCDre5mdKFznElMXqVZMJQalyqHM9/Mpf+8z6c8lgjVQ0/7biVoOFMunNLnb
je84jTUqBNd7029sGItoX7EB8XKJQX0TtnV3wUH4H5e76uYbASnC20DpWRfI+DiU
yjLsqWvrpS+YA3OT0LG7zYt6X1/UdvfbLcMUEJE+PseBwtZC11xzE6DGFK2dqZGY
jlx0fF4hNtj6nDBF9kiJSOcVvWvEZ30EOO8jVK88HZtuXq+6KOjxoQ==
=lwkV
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#43284; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2020 18:45:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 14:45:06 2020
Received: from localhost ([127.0.0.1]:56420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFibx-0004N4-K2
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 14:45:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:38328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1kFibt-0004Mo-9m
 for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 14:44:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53638)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1kFibr-0008Sd-Pu
 for bug-guix@HIDDEN; Tue, 08 Sep 2020 14:44:53 -0400
Received: from mail-io1-xd30.google.com ([2607:f8b0:4864:20::d30]:45368)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1kFibn-0001xJ-Ab
 for bug-guix@HIDDEN; Tue, 08 Sep 2020 14:44:51 -0400
Received: by mail-io1-xd30.google.com with SMTP id u126so398962iod.12
 for <bug-guix@HIDDEN>; Tue, 08 Sep 2020 11:44:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=70APNe5XkAd/wQxKKU0ETPbWf8UJ+tBGXAd88+7msnc=;
 b=tofdX3GlHRbqeIMUsu35tZ9tDR6jGzm/NSfAVMcJGQwTLlYYTnLSWszrrklRdg3D+b
 1JgTFIzJssla0nPh3Bnjl2Gm6+oQAXRPZjRHf1FMmISsy9gFBB5ufG0ft2adkDUPIBQa
 OGxVn+sgsnrmnGMUdRMxvo352jVki/HSTRd5f0YFSfLx3oRJZR7PimQIaI4SiTDpnSul
 tllofLhKUr0VKK9k9Y4VxE2kp0MCQtLCCPSlCiBZ111a4lmO7XpD4nOs3XntLi0SDbV/
 l7YR/Wr7u9Ss1Cx8vhrNWaWgHCkNwXw6f7zI0j/jmzgkgNvZkGomVGnKAOp5Pw9Dx0xQ
 hMng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=70APNe5XkAd/wQxKKU0ETPbWf8UJ+tBGXAd88+7msnc=;
 b=QIS6ZTZVrIPlmP+jvHkr1L9IWMUqGRkMhoueXA/DanbMUtsC31juE8mAshkqJKRdHE
 azaegZEM8a3A44QM1JA0f3Y5m59oD7o3aEDWf4aF80oKAslT7V2s4l5nG0bs3HpzPrht
 ftov8xNDqKbUboF/DnzqeFBL02To9VjqPigMgCIiCPNsKTZVYUbQI4M1Czl1an/Wlgow
 Qj9CfqasSJKcbpayynv8H9LUYGm/tkVxnG7cRP9K3UDy2Xgdp/Pi8Mo0QVxbfpJa75BH
 2uElNR1mlkMq5Zzd3r42UnlNuMuYJHDvox21Qb5XnRlOytYPfrj0iY1umSjdV8Yz1sSG
 gQhg==
X-Gm-Message-State: AOAM532KiEuuZYwu18vQX8cCfeZqc03rDrdZw6oKxnDonyPU0Jv9LhmF
 VpOHY0IBuUNcg2Z+F87tObFQD8mor2AaHQ==
X-Google-Smtp-Source: ABdhPJx5/biaixKhttOpUgpJweCqiIUpF+d2zbOfFsQOgm51K0NCe3YVd0V3vtxVbkjTYIbWfutvxw==
X-Received: by 2002:a6b:7112:: with SMTP id q18mr190644iog.79.1599590683714;
 Tue, 08 Sep 2020 11:44:43 -0700 (PDT)
Received: from washu-v4 (172-221-246-205.res.spectrum.com. [172.221.246.205])
 by smtp.gmail.com with ESMTPSA id o1sm19698ilo.32.2020.09.08.11.44.42
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 08 Sep 2020 11:44:42 -0700 (PDT)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: bug-guix@HIDDEN
Subject: Synapse v1.14.0 fails to build
Date: Tue, 08 Sep 2020 13:44:44 -0500
Message-ID: <87sgbsf6qr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::d30;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-io1-xd30.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

It looks like it's failing when trying to build a dependency,
python-gssapi-1.6.5. Here's the log:

#+BEGIN_EXAMPLE
starting phase `set-SOURCE-DATE-EPOCH'
phase `set-SOURCE-DATE-EPOCH' succeeded after 0.0 seconds
starting phase `set-paths'
environment variable `PATH' set to `/gnu/store/wc4xh9wj49rlbyivxi4lsws6whhz=
x4ab-python-wrapper-3.8.2/bin:/gnu/store/xdbplmjmgsdz6wxr63mghkxjkmma44k0-p=
ython-nose-1.3.7/bin:/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1=
.18/bin:/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/sbin:/gnu=
/store/v6f44zccwh9z5zk3pjlywjybbi8n2hjh-tar-1.32/bin:/gnu/store/ncydgq2znms=
5n1d2k5yqshhf58nsixwv-gzip-1.10/bin:/gnu/store/i8h2pcxqdq07ijm3ibkka8f4smn1=
w48v-bzip2-1.0.8/bin:/gnu/store/9860f1abqj8wjjnwl8a9v54pdcc3bhgf-xz-5.2.4/b=
in:/gnu/store/60g7r3l01fd7c58yjbm6krgcwj1jkpwg-file-5.38/bin:/gnu/store/n4n=
560pfvvw50a9369axw5vj5rrqfj1n-diffutils-3.7/bin:/gnu/store/cd5qf3kcnlq35p9k=
392pjdpdzpsnds70-patch-2.7.6/bin:/gnu/store/hic7snhayfl7m6cpfqqr73nmm19bpqk=
g-findutils-4.7.0/bin:/gnu/store/swqdvwri9dbv6zssg6v0by7l05hd6wxp-gawk-5.0.=
1/bin:/gnu/store/ishk7fswcs4gkwcp8mh788z4mvvl9bxh-sed-4.8/bin:/gnu/store/bh=
s4rj58v8j1narb2454raan2ps38xd8-grep-3.4/bin:/gnu/store/57xj5gcy1jbl9ai2lnrq=
npr0dald9i65-coreutils-8.32/bin:/gnu/store/hm40bxnv8jxmbc1lpb7zfimii4xm9m81=
-make-4.3/bin:/gnu/store/pwcp239kjf7lnj5i4lkdzcfcxwcfyk72-bash-minimal-5.0.=
16/bin:/gnu/store/mpa04aq8lblbcviyxywxcsb1zbi0mf39-ld-wrapper-0/bin:/gnu/st=
ore/m1z7cdbqsqyp9xnjw5cvlb4a7gkcg3m4-binutils-2.34/bin:/gnu/store/rn75fm7ad=
gx3pw5j8pg3bczfqq1y17lk-gcc-7.5.0/bin:/gnu/store/fa6wj5bxkj5ll1d7292a70knmy=
l7a0cr-glibc-2.31/bin:/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.3=
1/sbin:/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/bin:/gnu/st=
ore/k30a2pgmc6b3ifmq3rn0dr5ng9gr8w81-which-2.21/bin'
environment variable `PYTHONPATH' set to `/gnu/store/scskwiwn6fj9zm0nfjjcz8=
w8kn1jiv6n-python-shouldbe-0.1.2/lib/python3.8/site-packages:/gnu/store/4y2=
czl0hbvnkisvx2aq42jf086cz1l6k-python-parameterized-0.7.4/lib/python3.8/site=
-packages:/gnu/store/zc5mv2h8b7p3lzd4cx3pcbcn9ix25vk5-python-k5test-0.9.2/l=
ib/python3.8/site-packages:/gnu/store/xdbplmjmgsdz6wxr63mghkxjkmma44k0-pyth=
on-nose-1.3.7/lib/python3.8/site-packages:/gnu/store/shzcgi33zamc0cy6ck2jql=
xy3nk90m53-python-decorator-4.3.0/lib/python3.8/site-packages:/gnu/store/b0=
svsfz2vw2qwlfsi56k8fwbx4fzcfhk-python-six-1.14.0/lib/python3.8/site-package=
s:/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib/python3.8/si=
te-packages:/gnu/store/f87xpbsj5ximbgdf0nrxc015hm3f784d-python-forbiddenfru=
it-0.1.3/lib/python3.8/site-packages'
environment variable `BASH_LOADABLES_PATH' unset
environment variable `C_INCLUDE_PATH' set to `/gnu/store/q5s876bc5yghh6na3i=
bvfxlvj6fcj17l-mit-krb5-1.18/include:/gnu/store/i8h2pcxqdq07ijm3ibkka8f4smn=
1w48v-bzip2-1.0.8/include:/gnu/store/9860f1abqj8wjjnwl8a9v54pdcc3bhgf-xz-5.=
2.4/include:/gnu/store/60g7r3l01fd7c58yjbm6krgcwj1jkpwg-file-5.38/include:/=
gnu/store/swqdvwri9dbv6zssg6v0by7l05hd6wxp-gawk-5.0.1/include:/gnu/store/hm=
40bxnv8jxmbc1lpb7zfimii4xm9m81-make-4.3/include:/gnu/store/m1z7cdbqsqyp9xnj=
w5cvlb4a7gkcg3m4-binutils-2.34/include:/gnu/store/rn75fm7adgx3pw5j8pg3bczfq=
q1y17lk-gcc-7.5.0/include:/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc=
-2.31/include:/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/incl=
ude:/gnu/store/gfapkk5c6hvl1d94m4sqnhn7f9l5gqyh-linux-libre-headers-5.4.20/=
include'
environment variable `CPLUS_INCLUDE_PATH' set to `/gnu/store/q5s876bc5yghh6=
na3ibvfxlvj6fcj17l-mit-krb5-1.18/include:/gnu/store/i8h2pcxqdq07ijm3ibkka8f=
4smn1w48v-bzip2-1.0.8/include:/gnu/store/9860f1abqj8wjjnwl8a9v54pdcc3bhgf-x=
z-5.2.4/include:/gnu/store/60g7r3l01fd7c58yjbm6krgcwj1jkpwg-file-5.38/inclu=
de:/gnu/store/swqdvwri9dbv6zssg6v0by7l05hd6wxp-gawk-5.0.1/include:/gnu/stor=
e/hm40bxnv8jxmbc1lpb7zfimii4xm9m81-make-4.3/include:/gnu/store/m1z7cdbqsqyp=
9xnjw5cvlb4a7gkcg3m4-binutils-2.34/include:/gnu/store/rn75fm7adgx3pw5j8pg3b=
czfqq1y17lk-gcc-7.5.0/include/c++:/gnu/store/rn75fm7adgx3pw5j8pg3bczfqq1y17=
lk-gcc-7.5.0/include:/gnu/store/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31=
/include:/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include:/=
gnu/store/gfapkk5c6hvl1d94m4sqnhn7f9l5gqyh-linux-libre-headers-5.4.20/inclu=
de'
environment variable `LIBRARY_PATH' set to `/gnu/store/scskwiwn6fj9zm0nfjjc=
z8w8kn1jiv6n-python-shouldbe-0.1.2/lib:/gnu/store/4y2czl0hbvnkisvx2aq42jf08=
6cz1l6k-python-parameterized-0.7.4/lib:/gnu/store/zc5mv2h8b7p3lzd4cx3pcbcn9=
ix25vk5-python-k5test-0.9.2/lib:/gnu/store/xdbplmjmgsdz6wxr63mghkxjkmma44k0=
-python-nose-1.3.7/lib:/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5=
-1.18/lib:/gnu/store/shzcgi33zamc0cy6ck2jqlxy3nk90m53-python-decorator-4.3.=
0/lib:/gnu/store/b0svsfz2vw2qwlfsi56k8fwbx4fzcfhk-python-six-1.14.0/lib:/gn=
u/store/i8h2pcxqdq07ijm3ibkka8f4smn1w48v-bzip2-1.0.8/lib:/gnu/store/9860f1a=
bqj8wjjnwl8a9v54pdcc3bhgf-xz-5.2.4/lib:/gnu/store/60g7r3l01fd7c58yjbm6krgcw=
j1jkpwg-file-5.38/lib:/gnu/store/swqdvwri9dbv6zssg6v0by7l05hd6wxp-gawk-5.0.=
1/lib:/gnu/store/m1z7cdbqsqyp9xnjw5cvlb4a7gkcg3m4-binutils-2.34/lib:/gnu/st=
ore/fa6wj5bxkj5ll1d7292a70knmyl7a0cr-glibc-2.31/lib:/gnu/store/s3dcqzwqaakv=
1yx37by9chksdbkgih17-glibc-2.31-static/lib:/gnu/store/hwcky7446s952w0mwchhm=
m211ll07zrq-glibc-utf8-locales-2.31/lib:/gnu/store/q9rm8h9imazsq2c4qiv2yjpv=
lvliywqb-python-3.8.2/lib:/gnu/store/f87xpbsj5ximbgdf0nrxc015hm3f784d-pytho=
n-forbiddenfruit-0.1.3/lib'
environment variable `GUIX_LOCPATH' set to `/gnu/store/hwcky7446s952w0mwchh=
mm211ll07zrq-glibc-utf8-locales-2.31/lib/locale'
phase `set-paths' succeeded after 0.0 seconds
starting phase `install-locale'
using 'en_US.utf8' locale for category "LC_ALL"
phase `install-locale' succeeded after 0.0 seconds
starting phase `unpack'
gssapi-1.6.5/
gssapi-1.6.5/LICENSE.txt
gssapi-1.6.5/MANIFEST.in
gssapi-1.6.5/PKG-INFO
gssapi-1.6.5/README.rst
gssapi-1.6.5/README.txt
gssapi-1.6.5/__dont_use_cython__.txt
gssapi-1.6.5/docs-requirements.txt
gssapi-1.6.5/gssapi/
gssapi-1.6.5/gssapi/__init__.py
gssapi-1.6.5/gssapi/_utils.py
gssapi-1.6.5/gssapi/_win_config.py
gssapi-1.6.5/gssapi/creds.py
gssapi-1.6.5/gssapi/exceptions.py
gssapi-1.6.5/gssapi/mechs.py
gssapi-1.6.5/gssapi/names.py
gssapi-1.6.5/gssapi/raw/
gssapi-1.6.5/gssapi/raw/__init__.py
gssapi-1.6.5/gssapi/raw/_enum_extensions/
gssapi-1.6.5/gssapi/raw/_enum_extensions/__init__.py
gssapi-1.6.5/gssapi/raw/_enum_extensions/ext_dce.c
gssapi-1.6.5/gssapi/raw/_enum_extensions/ext_iov_mic.c
gssapi-1.6.5/gssapi/raw/chan_bindings.c
gssapi-1.6.5/gssapi/raw/chan_bindings.pxd
gssapi-1.6.5/gssapi/raw/creds.c
gssapi-1.6.5/gssapi/raw/creds.pxd
gssapi-1.6.5/gssapi/raw/cython_converters.c
gssapi-1.6.5/gssapi/raw/cython_converters.pxd
gssapi-1.6.5/gssapi/raw/cython_types.pxd
gssapi-1.6.5/gssapi/raw/exceptions.c
gssapi-1.6.5/gssapi/raw/ext_buffer_sets.pxd
gssapi-1.6.5/gssapi/raw/ext_cred_imp_exp.c
gssapi-1.6.5/gssapi/raw/ext_cred_store.c
gssapi-1.6.5/gssapi/raw/ext_dce.c
gssapi-1.6.5/gssapi/raw/ext_dce.pxd
gssapi-1.6.5/gssapi/raw/ext_ggf.c
gssapi-1.6.5/gssapi/raw/ext_iov_mic.c
gssapi-1.6.5/gssapi/raw/ext_password.c
gssapi-1.6.5/gssapi/raw/ext_password_add.c
gssapi-1.6.5/gssapi/raw/ext_rfc4178.c
gssapi-1.6.5/gssapi/raw/ext_rfc5587.c
gssapi-1.6.5/gssapi/raw/ext_rfc5588.c
gssapi-1.6.5/gssapi/raw/ext_rfc5801.c
gssapi-1.6.5/gssapi/raw/ext_rfc6680.c
gssapi-1.6.5/gssapi/raw/ext_rfc6680_comp_oid.c
gssapi-1.6.5/gssapi/raw/ext_s4u.c
gssapi-1.6.5/gssapi/raw/ext_set_cred_opt.c
gssapi-1.6.5/gssapi/raw/mech_krb5.c
gssapi-1.6.5/gssapi/raw/message.c
gssapi-1.6.5/gssapi/raw/misc.c
gssapi-1.6.5/gssapi/raw/named_tuples.py
gssapi-1.6.5/gssapi/raw/names.c
gssapi-1.6.5/gssapi/raw/names.pxd
gssapi-1.6.5/gssapi/raw/oids.c
gssapi-1.6.5/gssapi/raw/oids.pxd
gssapi-1.6.5/gssapi/raw/python_gssapi.h
gssapi-1.6.5/gssapi/raw/python_gssapi_ext.h
gssapi-1.6.5/gssapi/raw/python_gssapi_krb5.h
gssapi-1.6.5/gssapi/raw/sec_contexts.c
gssapi-1.6.5/gssapi/raw/sec_contexts.pxd
gssapi-1.6.5/gssapi/raw/types.c
gssapi-1.6.5/gssapi/sec_contexts.py
gssapi-1.6.5/gssapi/tests/
gssapi-1.6.5/gssapi/tests/__init__.py
gssapi-1.6.5/gssapi/tests/test_high_level.py
gssapi-1.6.5/gssapi/tests/test_raw.py
gssapi-1.6.5/gssapi.egg-info/
gssapi-1.6.5/gssapi.egg-info/PKG-INFO
gssapi-1.6.5/gssapi.egg-info/SOURCES.txt
gssapi-1.6.5/gssapi.egg-info/dependency_links.txt
gssapi-1.6.5/gssapi.egg-info/requires.txt
gssapi-1.6.5/gssapi.egg-info/top_level.txt
gssapi-1.6.5/setup.cfg
gssapi-1.6.5/setup.py
gssapi-1.6.5/test-requirements.txt
phase `unpack' succeeded after 0.0 seconds
starting phase `ensure-no-mtimes-pre-1980'
phase `ensure-no-mtimes-pre-1980' succeeded after 0.0 seconds
starting phase `enable-bytecode-determinism'
phase `enable-bytecode-determinism' succeeded after 0.0 seconds
starting phase `patch-usr-bin-file'
phase `patch-usr-bin-file' succeeded after 0.0 seconds
starting phase `patch-source-shebangs'
patch-shebang: ./setup.py: changing `/usr/bin/env python' to `/gnu/store/wc=
4xh9wj49rlbyivxi4lsws6whhzx4ab-python-wrapper-3.8.2/bin/python'
phase `patch-source-shebangs' succeeded after 0.0 seconds
starting phase `patch-generated-file-shebangs'
phase `patch-generated-file-shebangs' succeeded after 0.0 seconds
starting phase `build'
running "python setup.py" with command "build" and parameters ()
running build
running build_py
creating build
creating build/lib.linux-x86_64-3.8
creating build/lib.linux-x86_64-3.8/gssapi
copying gssapi/sec_contexts.py -> build/lib.linux-x86_64-3.8/gssapi
copying gssapi/names.py -> build/lib.linux-x86_64-3.8/gssapi
copying gssapi/__init__.py -> build/lib.linux-x86_64-3.8/gssapi
copying gssapi/exceptions.py -> build/lib.linux-x86_64-3.8/gssapi
copying gssapi/_utils.py -> build/lib.linux-x86_64-3.8/gssapi
copying gssapi/creds.py -> build/lib.linux-x86_64-3.8/gssapi
copying gssapi/mechs.py -> build/lib.linux-x86_64-3.8/gssapi
copying gssapi/_win_config.py -> build/lib.linux-x86_64-3.8/gssapi
creating build/lib.linux-x86_64-3.8/gssapi/raw
copying gssapi/raw/named_tuples.py -> build/lib.linux-x86_64-3.8/gssapi/raw
copying gssapi/raw/__init__.py -> build/lib.linux-x86_64-3.8/gssapi/raw
creating build/lib.linux-x86_64-3.8/gssapi/raw/_enum_extensions
copying gssapi/raw/_enum_extensions/__init__.py -> build/lib.linux-x86_64-3=
.8/gssapi/raw/_enum_extensions
creating build/lib.linux-x86_64-3.8/gssapi/tests
copying gssapi/tests/test_raw.py -> build/lib.linux-x86_64-3.8/gssapi/tests
copying gssapi/tests/__init__.py -> build/lib.linux-x86_64-3.8/gssapi/tests
copying gssapi/tests/test_high_level.py -> build/lib.linux-x86_64-3.8/gssap=
i/tests
running build_ext
building 'gssapi.raw.misc' extension
creating build/temp.linux-x86_64-3.8
creating build/temp.linux-x86_64-3.8/gssapi
creating build/temp.linux-x86_64-3.8/gssapi/raw
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/misc.c -o build/temp.linux-x86_64-3.8/gssapi/raw/mi=
sc.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/include -D=
HAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/misc.o -L/gnu/st=
ore/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9rm8h9=
imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5crypto =
-lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/misc.cpython-38-x86_64-l=
inux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc5yghh6=
na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.exceptions' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/exceptions.c -o build/temp.linux-x86_64-3.8/gssapi/=
raw/exceptions.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.1=
8/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/exceptions.o -L/=
gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q=
9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5c=
rypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/exceptions.cpython=
-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5=
s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.creds' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/creds.c -o build/temp.linux-x86_64-3.8/gssapi/raw/c=
reds.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/include =
-DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/creds.o -L/gnu/s=
tore/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9rm8h=
9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5crypto=
 -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/creds.cpython-38-x86_64=
-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc5ygh=
h6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.names' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/names.c -o build/temp.linux-x86_64-3.8/gssapi/raw/n=
ames.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/include =
-DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/names.o -L/gnu/s=
tore/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9rm8h=
9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5crypto=
 -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/names.cpython-38-x86_64=
-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc5ygh=
h6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.sec_contexts' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/sec_contexts.c -o build/temp.linux-x86_64-3.8/gssap=
i/raw/sec_contexts.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5=
-1.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/sec_contexts.o -=
L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store=
/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk=
5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/sec_contexts.cpy=
thon-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/stor=
e/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.types' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/types.c -o build/temp.linux-x86_64-3.8/gssapi/raw/t=
ypes.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/include =
-DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/types.o -L/gnu/s=
tore/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9rm8h=
9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5crypto=
 -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/types.cpython-38-x86_64=
-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc5ygh=
h6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.message' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/message.c -o build/temp.linux-x86_64-3.8/gssapi/raw=
/message.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/incl=
ude -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/message.o -L/gnu=
/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9rm=
8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5cryp=
to -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/message.cpython-38-x8=
6_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc=
5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.oids' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/oids.c -o build/temp.linux-x86_64-3.8/gssapi/raw/oi=
ds.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/include -D=
HAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/oids.o -L/gnu/st=
ore/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9rm8h9=
imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5crypto =
-lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/oids.cpython-38-x86_64-l=
inux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc5yghh6=
na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.cython_converters' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/cython_converters.c -o build/temp.linux-x86_64-3.8/=
gssapi/raw/cython_converters.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17=
l-mit-krb5-1.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/cython_converter=
s.o -L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/=
store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb=
5 -lk5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/cython_conv=
erters.cpython-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl=
,/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.chan_bindings' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/chan_bindings.c -o build/temp.linux-x86_64-3.8/gssa=
pi/raw/chan_bindings.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-kr=
b5-1.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/chan_bindings.o =
-L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/stor=
e/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -l=
k5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/chan_bindings.c=
python-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/st=
ore/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_s4u' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_s4u.c -o build/temp.linux-x86_64-3.8/gssapi/raw=
/ext_s4u.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/incl=
ude -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_s4u.o -L/gnu=
/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9rm=
8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5cryp=
to -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_s4u.cpython-38-x8=
6_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc=
5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_cred_store' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_cred_store.c -o build/temp.linux-x86_64-3.8/gss=
api/raw/ext_cred_store.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-=
krb5-1.18/include -DHAS_GSSAPI_EXT_H
gssapi/raw/ext_cred_store.c: In function =E2=80=98__pyx_pf_6gssapi_3raw_14e=
xt_cred_store_acquire_cred_from=E2=80=99:
gssapi/raw/ext_cred_store.c:2208:21: warning: assignment discards =E2=80=98=
const=E2=80=99 qualifier from pointer target type [-Wdiscarded-qualifiers]
     __pyx_v_c_store =3D GSS_C_NO_CRED_STORE;
                     ^
gssapi/raw/ext_cred_store.c: In function =E2=80=98__pyx_pf_6gssapi_3raw_14e=
xt_cred_store_2add_cred_from=E2=80=99:
gssapi/raw/ext_cred_store.c:2915:21: warning: assignment discards =E2=80=98=
const=E2=80=99 qualifier from pointer target type [-Wdiscarded-qualifiers]
     __pyx_v_c_store =3D GSS_C_NO_CRED_STORE;
                     ^
gssapi/raw/ext_cred_store.c: In function =E2=80=98__pyx_pf_6gssapi_3raw_14e=
xt_cred_store_4store_cred_into=E2=80=99:
gssapi/raw/ext_cred_store.c:3557:21: warning: assignment discards =E2=80=98=
const=E2=80=99 qualifier from pointer target type [-Wdiscarded-qualifiers]
     __pyx_v_c_store =3D GSS_C_NO_CRED_STORE;
                     ^
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_cred_store.o=
 -L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/sto=
re/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -=
lk5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_cred_store=
.cpython-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/=
store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_rfc4178' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_rfc4178.c -o build/temp.linux-x86_64-3.8/gssapi=
/raw/ext_rfc4178.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1=
.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_rfc4178.o -L=
/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/=
q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5=
crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc4178.cpyth=
on-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/=
q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_rfc5587' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_rfc5587.c -o build/temp.linux-x86_64-3.8/gssapi=
/raw/ext_rfc5587.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1=
.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_rfc5587.o -L=
/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/=
q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5=
crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc5587.cpyth=
on-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/=
q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_rfc5588' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_rfc5588.c -o build/temp.linux-x86_64-3.8/gssapi=
/raw/ext_rfc5588.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1=
.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_rfc5588.o -L=
/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/=
q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5=
crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc5588.cpyth=
on-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/=
q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_rfc5801' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_rfc5801.c -o build/temp.linux-x86_64-3.8/gssapi=
/raw/ext_rfc5801.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1=
.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_rfc5801.o -L=
/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/=
q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5=
crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc5801.cpyth=
on-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/=
q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_cred_imp_exp' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_cred_imp_exp.c -o build/temp.linux-x86_64-3.8/g=
ssapi/raw/ext_cred_imp_exp.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-=
mit-krb5-1.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_cred_imp_exp=
.o -L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/s=
tore/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5=
 -lk5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_cred_imp=
_exp.cpython-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/=
gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_dce' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_dce.c -o build/temp.linux-x86_64-3.8/gssapi/raw=
/ext_dce.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/incl=
ude -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_dce.o -L/gnu=
/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9rm=
8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5cryp=
to -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_dce.cpython-38-x8=
6_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc=
5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_iov_mic' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_iov_mic.c -o build/temp.linux-x86_64-3.8/gssapi=
/raw/ext_iov_mic.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1=
.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_iov_mic.o -L=
/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/=
q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5=
crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_iov_mic.cpyth=
on-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/=
q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_ggf' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_ggf.c -o build/temp.linux-x86_64-3.8/gssapi/raw=
/ext_ggf.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/incl=
ude -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_ggf.o -L/gnu=
/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9rm=
8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5cryp=
to -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_ggf.cpython-38-x8=
6_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc=
5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_set_cred_opt' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_set_cred_opt.c -o build/temp.linux-x86_64-3.8/g=
ssapi/raw/ext_set_cred_opt.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-=
mit-krb5-1.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_set_cred_opt=
.o -L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/s=
tore/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5=
 -lk5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_set_cred=
_opt.cpython-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/=
gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_rfc6680' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_rfc6680.c -o build/temp.linux-x86_64-3.8/gssapi=
/raw/ext_rfc6680.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1=
.18/include -DHAS_GSSAPI_EXT_H
gssapi/raw/ext_rfc6680.c: In function =E2=80=98__pyx_pf_6gssapi_3raw_11ext_=
rfc6680_2inquire_name=E2=80=99:
gssapi/raw/ext_rfc6680.c:1910:37: warning: comparison between signed and un=
signed integer expressions [-Wsign-compare]
       for (__pyx_t_5 =3D 0; __pyx_t_5 < __pyx_t_4; __pyx_t_5+=3D1) {
                                     ^
gssapi/raw/ext_rfc6680.c: In function =E2=80=98__pyx_pw_6gssapi_3raw_11ext_=
rfc6680_5set_name_attribute=E2=80=99:
gssapi/raw/ext_rfc6680.c:2415:15: warning: =E2=80=98__pyx_v_i=E2=80=99 may =
be used uninitialized in this function [-Wmaybe-uninitialized]
     __pyx_v_i =3D (__pyx_v_i + 1);
     ~~~~~~~~~~^~~~~~~~~~~~~~~~~
gssapi/raw/ext_rfc6680.c:2303:10: note: =E2=80=98__pyx_v_i=E2=80=99 was dec=
lared here
   size_t __pyx_v_i;
          ^~~~~~~~~
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_rfc6680.o -L=
/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/=
q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5=
crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc6680.cpyth=
on-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/=
q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_rfc6680_comp_oid' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_rfc6680_comp_oid.c -o build/temp.linux-x86_64-3=
.8/gssapi/raw/ext_rfc6680_comp_oid.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj=
6fcj17l-mit-krb5-1.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_rfc6680_comp=
_oid.o -L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/g=
nu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -l=
krb5 -lk5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc6=
680_comp_oid.cpython-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpa=
th -Wl,/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_password' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_password.c -o build/temp.linux-x86_64-3.8/gssap=
i/raw/ext_password.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5=
-1.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_password.o -=
L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store=
/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk=
5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_password.cpy=
thon-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/stor=
e/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.ext_password_add' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/ext_password_add.c -o build/temp.linux-x86_64-3.8/g=
ssapi/raw/ext_password_add.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-=
mit-krb5-1.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/ext_password_add=
.o -L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/s=
tore/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5=
 -lk5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/ext_password=
_add.cpython-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/=
gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw.mech_krb5' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/include/=
python3.8 -c gssapi/raw/mech_krb5.c -o build/temp.linux-x86_64-3.8/gssapi/r=
aw/mech_krb5.o -I/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/=
include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/mech_krb5.o -L/g=
nu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib -L/gnu/store/q9=
rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb5 -lkrb5 -lk5cr=
ypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/mech_krb5.cpython-3=
8-x86_64-linux-gnu.so -Wl,--enable-new-dtags -Wl,-rpath -Wl,/gnu/store/q5s8=
76bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw._enum_extensions.ext_dce' extension
creating build/temp.linux-x86_64-3.8/gssapi/raw/_enum_extensions
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -Igssapi/raw/ -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-=
3.8.2/include/python3.8 -c gssapi/raw/_enum_extensions/ext_dce.c -o build/t=
emp.linux-x86_64-3.8/gssapi/raw/_enum_extensions/ext_dce.o -I/gnu/store/q5s=
876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/include -DHAS_GSSAPI_EXT_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/_enum_extensions=
/ext_dce.o -L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib =
-L/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi_krb=
5 -lkrb5 -lk5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/_enu=
m_extensions/ext_dce.cpython-38-x86_64-linux-gnu.so -Wl,--enable-new-dtags =
-Wl,-rpath -Wl,/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/lib
building 'gssapi.raw._enum_extensions.ext_iov_mic' extension
gcc -pthread -Wno-unused-result -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wal=
l -fPIC -Igssapi/raw/ -I/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-=
3.8.2/include/python3.8 -c gssapi/raw/_enum_extensions/ext_iov_mic.c -o bui=
ld/temp.linux-x86_64-3.8/gssapi/raw/_enum_extensions/ext_iov_mic.o -I/gnu/s=
tore/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/include -DHAS_GSSAPI_EX=
T_H
gcc -pthread -shared -Wl,-rpath=3D/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliyw=
qb-python-3.8.2/lib build/temp.linux-x86_64-3.8/gssapi/raw/_enum_extensions=
/ext_iov_mic.o -L/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5-1.18/=
lib -L/gnu/store/q9rm8h9imazsq2c4qiv2yjpvlvliywqb-python-3.8.2/lib -lgssapi=
_krb5 -lkrb5 -lk5crypto -lcom_err -o build/lib.linux-x86_64-3.8/gssapi/raw/=
_enum_extensions/ext_iov_mic.cpython-38-x86_64-linux-gnu.so -Wl,--enable-ne=
w-dtags -Wl,-rpath -Wl,/gnu/store/q5s876bc5yghh6na3ibvfxlvj6fcj17l-mit-krb5=
-1.18/lib
In distributed package, building from C files...
phase `build' succeeded after 19.0 seconds
starting phase `install'
running "python setup.py" with command "install" and parameters ("--prefix=
=3D/gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5" "--sing=
le-version-externally-managed" "--root=3D/")
running install
running build
running build_py
running build_ext
running install_lib
creating /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5
creating /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib
creating /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/li=
b/python3.8
creating /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/li=
b/python3.8/site-packages
creating /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/li=
b/python3.8/site-packages/gssapi
copying build/lib.linux-x86_64-3.8/gssapi/sec_contexts.py -> /gnu/store/hm4=
8c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-packag=
es/gssapi
creating /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/li=
b/python3.8/site-packages/gssapi/tests
copying build/lib.linux-x86_64-3.8/gssapi/tests/test_raw.py -> /gnu/store/h=
m48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-pack=
ages/gssapi/tests
copying build/lib.linux-x86_64-3.8/gssapi/tests/__init__.py -> /gnu/store/h=
m48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-pack=
ages/gssapi/tests
copying build/lib.linux-x86_64-3.8/gssapi/tests/test_high_level.py -> /gnu/=
store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/si=
te-packages/gssapi/tests
copying build/lib.linux-x86_64-3.8/gssapi/names.py -> /gnu/store/hm48c4yl33=
azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-packages/gssa=
pi
copying build/lib.linux-x86_64-3.8/gssapi/__init__.py -> /gnu/store/hm48c4y=
l33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-packages/g=
ssapi
copying build/lib.linux-x86_64-3.8/gssapi/exceptions.py -> /gnu/store/hm48c=
4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-packages=
/gssapi
creating /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/li=
b/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/creds.cpython-38-x86_64-linux=
-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/=
lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc4178.cpython-38-x86_64=
-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-=
1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/names.cpython-38-x86_64-linux=
-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/=
lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_ggf.cpython-38-x86_64-lin=
ux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.=
5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/types.cpython-38-x86_64-linux=
-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/=
lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_cred_store.cpython-38-x86=
_64-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssa=
pi-1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_password_add.cpython-38-x=
86_64-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gs=
sapi-1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_iov_mic.cpython-38-x86_64=
-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-=
1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/exceptions.cpython-38-x86_64-=
linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1=
.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc6680_comp_oid.cpython-=
38-x86_64-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-pytho=
n-gssapi-1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/misc.cpython-38-x86_64-linux-=
gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/l=
ib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/named_tuples.py -> /gnu/store=
/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-pa=
ckages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc5801.cpython-38-x86_64=
-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-=
1.6.5/lib/python3.8/site-packages/gssapi/raw
creating /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/li=
b/python3.8/site-packages/gssapi/raw/_enum_extensions
copying build/lib.linux-x86_64-3.8/gssapi/raw/_enum_extensions/ext_iov_mic.=
cpython-38-x86_64-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3h=
il-python-gssapi-1.6.5/lib/python3.8/site-packages/gssapi/raw/_enum_extensi=
ons
copying build/lib.linux-x86_64-3.8/gssapi/raw/_enum_extensions/__init__.py =
-> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/pyth=
on3.8/site-packages/gssapi/raw/_enum_extensions
copying build/lib.linux-x86_64-3.8/gssapi/raw/_enum_extensions/ext_dce.cpyt=
hon-38-x86_64-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-p=
ython-gssapi-1.6.5/lib/python3.8/site-packages/gssapi/raw/_enum_extensions
copying build/lib.linux-x86_64-3.8/gssapi/raw/oids.cpython-38-x86_64-linux-=
gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/l=
ib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_cred_imp_exp.cpython-38-x=
86_64-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gs=
sapi-1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc5588.cpython-38-x86_64=
-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-=
1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/__init__.py -> /gnu/store/hm4=
8c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-packag=
es/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_set_cred_opt.cpython-38-x=
86_64-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gs=
sapi-1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/sec_contexts.cpython-38-x86_6=
4-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi=
-1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc5587.cpython-38-x86_64=
-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-=
1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_dce.cpython-38-x86_64-lin=
ux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.=
5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/message.cpython-38-x86_64-lin=
ux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.=
5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/chan_bindings.cpython-38-x86_=
64-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssap=
i-1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_s4u.cpython-38-x86_64-lin=
ux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.=
5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/mech_krb5.cpython-38-x86_64-l=
inux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc6680.cpython-38-x86_64=
-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-=
1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_password.cpython-38-x86_6=
4-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi=
-1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/cython_converters.cpython-38-=
x86_64-linux-gnu.so -> /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-g=
ssapi-1.6.5/lib/python3.8/site-packages/gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/_utils.py -> /gnu/store/hm48c4yl3=
3azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-packages/gss=
api
copying build/lib.linux-x86_64-3.8/gssapi/creds.py -> /gnu/store/hm48c4yl33=
azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-packages/gssa=
pi
copying build/lib.linux-x86_64-3.8/gssapi/mechs.py -> /gnu/store/hm48c4yl33=
azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-packages/gssa=
pi
copying build/lib.linux-x86_64-3.8/gssapi/_win_config.py -> /gnu/store/hm48=
c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5/lib/python3.8/site-package=
s/gssapi
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/sec_contexts.py to sec_contexts.cpyt=
hon-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/tests/test_raw.py to test_raw.cpytho=
n-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/tests/__init__.py to __init__.cpytho=
n-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/tests/test_high_level.py to test_hig=
h_level.cpython-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/names.py to names.cpython-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/__init__.py to __init__.cpython-38.p=
yc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/exceptions.py to exceptions.cpython-=
38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/raw/named_tuples.py to named_tuples.=
cpython-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/raw/_enum_extensions/__init__.py to =
__init__.cpython-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/raw/__init__.py to __init__.cpython-=
38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/_utils.py to _utils.cpython-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/creds.py to creds.cpython-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/mechs.py to mechs.cpython-38.pyc
byte-compiling /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.=
6.5/lib/python3.8/site-packages/gssapi/_win_config.py to _win_config.cpytho=
n-38.pyc
running install_egg_info
running egg_info
writing gssapi.egg-info/PKG-INFO
writing dependency_links to gssapi.egg-info/dependency_links.txt
writing requirements to gssapi.egg-info/requires.txt
writing top-level names to gssapi.egg-info/top_level.txt
reading manifest file 'gssapi.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
In distributed package, building from C files...
warning: no files found matching '*.txt' under directory 'docs'
writing manifest file 'gssapi.egg-info/SOURCES.txt'
Copying gssapi.egg-info to /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-pyth=
on-gssapi-1.6.5/lib/python3.8/site-packages/gssapi-1.6.5-py3.8.egg-info
running install_scripts
phase `install' succeeded after 0.2 seconds
starting phase `wrap'
find-files: /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5=
/bin: No such file or directory
find-files: /gnu/store/hm48c4yl33azk1hk9cndv3bb10jl3hil-python-gssapi-1.6.5=
/sbin: No such file or directory
phase `wrap' succeeded after 0.0 seconds
starting phase `check'
running "python setup.py" with command "test" and parameters ()
running test
running egg_info
writing gssapi.egg-info/PKG-INFO
writing dependency_links to gssapi.egg-info/dependency_links.txt
writing requirements to gssapi.egg-info/requires.txt
writing top-level names to gssapi.egg-info/top_level.txt
reading manifest file 'gssapi.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
In distributed package, building from C files...
warning: no files found matching '*.txt' under directory 'docs'
writing manifest file 'gssapi.egg-info/SOURCES.txt'
running build_ext
copying build/lib.linux-x86_64-3.8/gssapi/raw/misc.cpython-38-x86_64-linux-=
gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/exceptions.cpython-38-x86_64-=
linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/creds.cpython-38-x86_64-linux=
-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/names.cpython-38-x86_64-linux=
-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/sec_contexts.cpython-38-x86_6=
4-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/types.cpython-38-x86_64-linux=
-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/message.cpython-38-x86_64-lin=
ux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/oids.cpython-38-x86_64-linux-=
gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/cython_converters.cpython-38-=
x86_64-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/chan_bindings.cpython-38-x86_=
64-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_s4u.cpython-38-x86_64-lin=
ux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_cred_store.cpython-38-x86=
_64-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc4178.cpython-38-x86_64=
-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc5587.cpython-38-x86_64=
-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc5588.cpython-38-x86_64=
-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc5801.cpython-38-x86_64=
-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_cred_imp_exp.cpython-38-x=
86_64-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_dce.cpython-38-x86_64-lin=
ux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_iov_mic.cpython-38-x86_64=
-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_ggf.cpython-38-x86_64-lin=
ux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_set_cred_opt.cpython-38-x=
86_64-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc6680.cpython-38-x86_64=
-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_rfc6680_comp_oid.cpython-=
38-x86_64-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_password.cpython-38-x86_6=
4-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/ext_password_add.cpython-38-x=
86_64-linux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/mech_krb5.cpython-38-x86_64-l=
inux-gnu.so -> gssapi/raw
copying build/lib.linux-x86_64-3.8/gssapi/raw/_enum_extensions/ext_dce.cpyt=
hon-38-x86_64-linux-gnu.so -> gssapi/raw/_enum_extensions
copying build/lib.linux-x86_64-3.8/gssapi/raw/_enum_extensions/ext_iov_mic.=
cpython-38-x86_64-linux-gnu.so -> gssapi/raw/_enum_extensions
test_bad_channel_binding_raises_error (gssapi.tests.test_raw.TestAcceptCont=
ext) ... ok
test_basic_accept_context (gssapi.tests.test_raw.TestAcceptContext) ... ok
test_basic_accept_context_no_acceptor_creds (gssapi.tests.test_raw.TestAcce=
ptContext) ... ok
test_channel_bindings (gssapi.tests.test_raw.TestAcceptContext) ... ok
test_acquire_cred_with_password (gssapi.tests.test_raw.TestBaseUtilities) .=
.. ok
test_acquire_creds (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_acquire_creds_impersonate_name (gssapi.tests.test_raw.TestBaseUtilitie=
s) ... ERROR
test_add_cred (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_add_cred_impersonate_name (gssapi.tests.test_raw.TestBaseUtilities) ..=
. ERROR
test_add_cred_with_password (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_always_get_delegated_creds (gssapi.tests.test_raw.TestBaseUtilities) .=
.. ok
test_basic_get_set_delete_name_attributes_no_auth (gssapi.tests.test_raw.Te=
stBaseUtilities) ... skipped 'You do not have the GSSAPI authdataplugin gre=
et_client installed'
test_canonicalize_export_name (gssapi.tests.test_raw.TestBaseUtilities) ...=
 ok
test_compare_name (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_context_time (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_create_oid_from_bytes (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_cred_import_export (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_display_mech_attr (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_display_name (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_display_status (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_duplicate_name (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_error_dispatch (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_import_export_name_composite (gssapi.tests.test_raw.TestBaseUtilities)=
 ... skipped 'You do not have the GSSAPI authdataplugin greet_client instal=
led'
test_import_export_name_composite_no_attrs (gssapi.tests.test_raw.TestBaseU=
tilities) ... ok
test_import_name (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_indicate_mechs (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_inquire_context (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_inquire_cred_by_oid_impersonator (gssapi.tests.test_raw.TestBaseUtilit=
ies) ... ok
test_inquire_creds (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_inquire_mechs_for_name (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_inquire_name_mech_name (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_inquire_name_not_mech_name (gssapi.tests.test_raw.TestBaseUtilities) .=
.. ok
test_inquire_name_with_attrs (gssapi.tests.test_raw.TestBaseUtilities) ... =
skipped 'You do not have the GSSAPI authdataplugin greet_client installed'
test_inquire_names_for_mech (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_inquire_sec_context_by_oid (gssapi.tests.test_raw.TestBaseUtilities) .=
.. ok
test_inquire_sec_context_by_oid_should_raise_error (gssapi.tests.test_raw.T=
estBaseUtilities) ... ok
test_rfc5587 (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_sasl_names (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_set_cred_option (gssapi.tests.test_raw.TestBaseUtilities) ... ok
test_set_cred_option_should_raise_error (gssapi.tests.test_raw.TestBaseUtil=
ities) ... ok
test_set_neg_mechs (gssapi.tests.test_raw.TestBaseUtilities) ... skipped 'Y=
ou do not have the GSSAPI gss-ntlmssp mech installed'
test_set_sec_context_option (gssapi.tests.test_raw.TestBaseUtilities) ... s=
kipped 'You do not have the GSSAPI gss-ntlmssp mech installed'
test_set_sec_context_option_fail (gssapi.tests.test_raw.TestBaseUtilities) =
... skipped 'You do not have the GSSAPI gss-ntlmssp mech installed'
test_store_cred_acquire_cred (gssapi.tests.test_raw.TestBaseUtilities) ... =
ok
test_store_cred_into_acquire_cred (gssapi.tests.test_raw.TestBaseUtilities)=
 ... ok
test_basic_init_default_ctx (gssapi.tests.test_raw.TestInitContext) ... ok
test_add (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_and_enum (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_and_int (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_and_set (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_contains (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_create_empty (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_create_from_int (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_create_from_list (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_create_from_other_set (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_discard (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_len (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_or_enum (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_or_int (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_or_set (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_xor_enum (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_xor_int (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_xor_set (gssapi.tests.test_raw.TestIntEnumFlagSet) ... ok
test_comparisons (gssapi.tests.test_raw.TestOIDTransforms) ... ok
test_decode_from_bytes (gssapi.tests.test_raw.TestOIDTransforms) ... ok
test_encode_from_int_seq (gssapi.tests.test_raw.TestOIDTransforms) ... ok
test_encode_from_string (gssapi.tests.test_raw.TestOIDTransforms) ... ok
test_basic_aead_wrap_unwrap (gssapi.tests.test_raw.TestWrapUnwrap) ... ok
test_basic_aead_wrap_unwrap_bad_assoc_raises_error (gssapi.tests.test_raw.T=
estWrapUnwrap) ... ok
test_basic_aead_wrap_unwrap_no_assoc (gssapi.tests.test_raw.TestWrapUnwrap)=
 ... ok
test_basic_iov_wrap_unwrap_autoalloc (gssapi.tests.test_raw.TestWrapUnwrap)=
 ... ok
test_basic_iov_wrap_unwrap_prealloc (gssapi.tests.test_raw.TestWrapUnwrap) =
... ok
test_basic_verify_mic (gssapi.tests.test_raw.TestWrapUnwrap) ... ok
test_basic_verify_mic_iov (gssapi.tests.test_raw.TestWrapUnwrap) ... ok
test_basic_wrap_unwrap (gssapi.tests.test_raw.TestWrapUnwrap) ... ok
test_get_mic (gssapi.tests.test_raw.TestWrapUnwrap) ... ok
test_get_mic_iov (gssapi.tests.test_raw.TestWrapUnwrap) ... ok
test_get_mic_iov_length (gssapi.tests.test_raw.TestWrapUnwrap) ... ok
test_import_export_sec_context (gssapi.tests.test_raw.TestWrapUnwrap) ... ok
test_verify_mic_iov_bad_mic_raises_error (gssapi.tests.test_raw.TestWrapUnw=
rap) ... ok
test_wrap_size_limit (gssapi.tests.test_raw.TestWrapUnwrap) ... ok
test_acquire_by_init_0_with_params_usage_mechs_lifetime (gssapi.tests.test_=
high_level.CredsTestCase) ... ok
test_acquire_by_init_1_with_params_usage_mechs (gssapi.tests.test_high_leve=
l.CredsTestCase) ... ok
test_acquire_by_init_2_with_params_usage_lifetime (gssapi.tests.test_high_l=
evel.CredsTestCase) ... ok
test_acquire_by_init_3_with_params_usage (gssapi.tests.test_high_level.Cred=
sTestCase) ... ok
test_acquire_by_init_4_with_params_mechs_lifetime (gssapi.tests.test_high_l=
evel.CredsTestCase) ... ok
test_acquire_by_init_5_with_params_mechs (gssapi.tests.test_high_level.Cred=
sTestCase) ... ok
test_acquire_by_init_6_with_params_lifetime (gssapi.tests.test_high_level.C=
redsTestCase) ... ok
test_acquire_by_init_7_with_params_none (gssapi.tests.test_high_level.Creds=
TestCase) ... ok
test_acquire_by_method_0_with_params_usage_mechs_lifetime (gssapi.tests.tes=
t_high_level.CredsTestCase) ... ok
test_acquire_by_method_1_with_params_usage_mechs (gssapi.tests.test_high_le=
vel.CredsTestCase) ... ok
test_acquire_by_method_2_with_params_usage_lifetime (gssapi.tests.test_high=
_level.CredsTestCase) ... ok
test_acquire_by_method_3_with_params_usage (gssapi.tests.test_high_level.Cr=
edsTestCase) ... ok
test_acquire_by_method_4_with_params_mechs_lifetime (gssapi.tests.test_high=
_level.CredsTestCase) ... ok
test_acquire_by_method_5_with_params_mechs (gssapi.tests.test_high_level.Cr=
edsTestCase) ... ok
test_acquire_by_method_6_with_params_lifetime (gssapi.tests.test_high_level=
.CredsTestCase) ... ok
test_acquire_by_method_7_with_params_none (gssapi.tests.test_high_level.Cre=
dsTestCase) ... ok
test_add (gssapi.tests.test_high_level.CredsTestCase) ... ok
test_add_with_impersonate (gssapi.tests.test_high_level.CredsTestCase) ... =
ERROR
test_create_from_other (gssapi.tests.test_high_level.CredsTestCase) ... ok
test_export (gssapi.tests.test_high_level.CredsTestCase) ... ok
test_import_by_init (gssapi.tests.test_high_level.CredsTestCase) ... ok
test_inquire_00_with_params_mechs_usage_lifetime_name (gssapi.tests.test_hi=
gh_level.CredsTestCase) ... ok
test_inquire_01_with_params_mechs_usage_lifetime (gssapi.tests.test_high_le=
vel.CredsTestCase) ... ok
test_inquire_02_with_params_mechs_usage_name (gssapi.tests.test_high_level.=
CredsTestCase) ... ok
test_inquire_03_with_params_mechs_usage (gssapi.tests.test_high_level.Creds=
TestCase) ... ok
test_inquire_04_with_params_mechs_lifetime_name (gssapi.tests.test_high_lev=
el.CredsTestCase) ... ok
test_inquire_05_with_params_mechs_lifetime (gssapi.tests.test_high_level.Cr=
edsTestCase) ... ok
test_inquire_06_with_params_mechs_name (gssapi.tests.test_high_level.CredsT=
estCase) ... ok
test_inquire_07_with_params_mechs (gssapi.tests.test_high_level.CredsTestCa=
se) ... ok
test_inquire_08_with_params_usage_lifetime_name (gssapi.tests.test_high_lev=
el.CredsTestCase) ... ok
test_inquire_09_with_params_usage_lifetime (gssapi.tests.test_high_level.Cr=
edsTestCase) ... ok
test_inquire_10_with_params_usage_name (gssapi.tests.test_high_level.CredsT=
estCase) ... ok
test_inquire_11_with_params_usage (gssapi.tests.test_high_level.CredsTestCa=
se) ... ok
test_inquire_12_with_params_lifetime_name (gssapi.tests.test_high_level.Cre=
dsTestCase) ... ok
test_inquire_13_with_params_lifetime (gssapi.tests.test_high_level.CredsTes=
tCase) ... ok
test_inquire_14_with_params_name (gssapi.tests.test_high_level.CredsTestCas=
e) ... ok
test_inquire_15_with_params_none (gssapi.tests.test_high_level.CredsTestCas=
e) ... ok
test_inquire_by_mech_00_with_params_usage_accept_lifetime_init_lifetime_nam=
e (gssapi.tests.test_high_level.CredsTestCase) ... ok
test_inquire_by_mech_01_with_params_usage_accept_lifetime_init_lifetime (gs=
sapi.tests.test_high_level.CredsTestCase) ... ok
test_inquire_by_mech_02_with_params_usage_accept_lifetime_name (gssapi.test=
s.test_high_level.CredsTestCase) ... ok
test_inquire_by_mech_03_with_params_usage_accept_lifetime (gssapi.tests.tes=
t_high_level.CredsTestCase) ... ok
test_inquire_by_mech_04_with_params_usage_init_lifetime_name (gssapi.tests.=
test_high_level.CredsTestCase) ... ok
test_inquire_by_mech_05_with_params_usage_init_lifetime (gssapi.tests.test_=
high_level.CredsTestCase) ... ok
test_inquire_by_mech_06_with_params_usage_name (gssapi.tests.test_high_leve=
l.CredsTestCase) ... ok
test_inquire_by_mech_07_with_params_usage (gssapi.tests.test_high_level.Cre=
dsTestCase) ... ok
test_inquire_by_mech_08_with_params_accept_lifetime_init_lifetime_name (gss=
api.tests.test_high_level.CredsTestCase) ... ok
test_inquire_by_mech_09_with_params_accept_lifetime_init_lifetime (gssapi.t=
ests.test_high_level.CredsTestCase) ... ok
test_inquire_by_mech_10_with_params_accept_lifetime_name (gssapi.tests.test=
_high_level.CredsTestCase) ... ok
test_inquire_by_mech_11_with_params_accept_lifetime (gssapi.tests.test_high=
_level.CredsTestCase) ... ok
test_inquire_by_mech_12_with_params_init_lifetime_name (gssapi.tests.test_h=
igh_level.CredsTestCase) ... ok
test_inquire_by_mech_13_with_params_init_lifetime (gssapi.tests.test_high_l=
evel.CredsTestCase) ... ok
test_inquire_by_mech_14_with_params_name (gssapi.tests.test_high_level.Cred=
sTestCase) ... ok
test_inquire_by_mech_15_with_params_none (gssapi.tests.test_high_level.Cred=
sTestCase) ... ok
test_pickle_unpickle (gssapi.tests.test_high_level.CredsTestCase) ... ok
test_store_acquire (gssapi.tests.test_high_level.CredsTestCase) ... ok
test_store_into_acquire_from (gssapi.tests.test_high_level.CredsTestCase) .=
.. ok
test_store_into_add_from (gssapi.tests.test_high_level.CredsTestCase) ... ok
test_indicate_mechs (gssapi.tests.test_high_level.MechsTestCase) ... ok
test_mech_inquiry (gssapi.tests.test_high_level.MechsTestCase) ... ok
test_sasl_properties (gssapi.tests.test_high_level.MechsTestCase) ... ok
test_basic_get_set_del_name_attribute_no_auth (gssapi.tests.test_high_level=
.NamesTestCase) ... skipped 'You do not have the GSSAPI authdataplugin gree=
t_client installed'
test_canoncialize_and_export (gssapi.tests.test_high_level.NamesTestCase) .=
.. ok
test_canonicalize (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_compare (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_copy (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_create_from_composite_token_no_attrs (gssapi.tests.test_high_level.Nam=
esTestCase) ... ok
test_create_from_composite_token_with_attrs (gssapi.tests.test_high_level.N=
amesTestCase) ... skipped 'You do not have the GSSAPI authdataplugin greet_=
client installed'
test_create_from_name_and_type (gssapi.tests.test_high_level.NamesTestCase)=
 ... ok
test_create_from_name_no_type (gssapi.tests.test_high_level.NamesTestCase) =
... ok
test_create_from_other (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_create_from_token (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_display_as (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_export_name_composite_no_attrs (gssapi.tests.test_high_level.NamesTest=
Case) ... ok
test_export_name_composite_with_attrs (gssapi.tests.test_high_level.NamesTe=
stCase) ... skipped 'You do not have the GSSAPI authdataplugin greet_client=
 installed'
test_is_mech_name (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_to_bytes (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_to_str (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_to_unicode (gssapi.tests.test_high_level.NamesTestCase) ... ok
test_bad_channel_bindings_raises_error (gssapi.tests.test_high_level.Securi=
tyContextTestCase) ... ok
test_channel_bindings (gssapi.tests.test_high_level.SecurityContextTestCase=
) ... ok
test_complete_on_partially_completed (gssapi.tests.test_high_level.Security=
ContextTestCase) ... ok
test_create_from_other (gssapi.tests.test_high_level.SecurityContextTestCas=
e) ... ok
test_create_new_accept (gssapi.tests.test_high_level.SecurityContextTestCas=
e) ... ok
test_create_new_init_00_with_params_channel_bindings_mech_flags_lifetime (g=
ssapi.tests.test_high_level.SecurityContextTestCase) ... ok
test_create_new_init_01_with_params_channel_bindings_mech_flags (gssapi.tes=
ts.test_high_level.SecurityContextTestCase) ... ok
test_create_new_init_02_with_params_channel_bindings_mech_lifetime (gssapi.=
tests.test_high_level.SecurityContextTestCase) ... ok
test_create_new_init_03_with_params_channel_bindings_mech (gssapi.tests.tes=
t_high_level.SecurityContextTestCase) ... ok
test_create_new_init_04_with_params_channel_bindings_flags_lifetime (gssapi=
.tests.test_high_level.SecurityContextTestCase) ... ok
test_create_new_init_05_with_params_channel_bindings_flags (gssapi.tests.te=
st_high_level.SecurityContextTestCase) ... ok
test_create_new_init_06_with_params_channel_bindings_lifetime (gssapi.tests=
.test_high_level.SecurityContextTestCase) ... ok
test_create_new_init_07_with_params_channel_bindings (gssapi.tests.test_hig=
h_level.SecurityContextTestCase) ... ok
test_create_new_init_08_with_params_mech_flags_lifetime (gssapi.tests.test_=
high_level.SecurityContextTestCase) ... ok
test_create_new_init_09_with_params_mech_flags (gssapi.tests.test_high_leve=
l.SecurityContextTestCase) ... ok
test_create_new_init_10_with_params_mech_lifetime (gssapi.tests.test_high_l=
evel.SecurityContextTestCase) ... ok
test_create_new_init_11_with_params_mech (gssapi.tests.test_high_level.Secu=
rityContextTestCase) ... ok
test_create_new_init_12_with_params_flags_lifetime (gssapi.tests.test_high_=
level.SecurityContextTestCase) ... ok
test_create_new_init_13_with_params_flags (gssapi.tests.test_high_level.Sec=
urityContextTestCase) ... ok
test_create_new_init_14_with_params_lifetime (gssapi.tests.test_high_level.=
SecurityContextTestCase) ... ok
test_create_new_init_15_with_params_none (gssapi.tests.test_high_level.Secu=
rityContextTestCase) ... ok
test_defer_step_error_on_complete_property_access (gssapi.tests.test_high_l=
evel.SecurityContextTestCase) ... ok
test_defer_step_error_on_method (gssapi.tests.test_high_level.SecurityConte=
xtTestCase) ... ok
test_encrypt_decrypt (gssapi.tests.test_high_level.SecurityContextTestCase)=
 ... ok
test_encrypt_decrypt_throws_error_on_no_encryption (gssapi.tests.test_high_=
level.SecurityContextTestCase) ... ok
test_export_create_from_token (gssapi.tests.test_high_level.SecurityContext=
TestCase) ... ok
test_get_signature (gssapi.tests.test_high_level.SecurityContextTestCase) .=
.. ok
test_get_wrap_size_limit (gssapi.tests.test_high_level.SecurityContextTestC=
ase) ... ok
test_init_throws_error_on_invalid_args (gssapi.tests.test_high_level.Securi=
tyContextTestCase) ... ok
test_initiate_accept_steps (gssapi.tests.test_high_level.SecurityContextTes=
tCase) ... ok
test_pickle_unpickle (gssapi.tests.test_high_level.SecurityContextTestCase)=
 ... ok
test_verify_signature_raise (gssapi.tests.test_high_level.SecurityContextTe=
stCase) ... ok
test_wrap_unwrap (gssapi.tests.test_high_level.SecurityContextTestCase) ...=
 ok

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
ERROR: test_acquire_creds_impersonate_name (gssapi.tests.test_raw.TestBaseU=
tilities)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/gnu/store/zc5mv2h8b7p3lzd4cx3pcbcn9ix25vk5-python-k5test-0.9.2/lib=
/python3.8/site-packages/k5test/unit.py", line 28, in ext_test
    func(self, *args, **kwargs)
  File "/tmp/guix-build-python-gssapi-1.6.5.drv-0/gssapi-1.6.5/gssapi/tests=
/test_raw.py", line 421, in test_acquire_creds_impersonate_name
    imp_resp =3D gb.acquire_cred_impersonate_name(server_creds,
  File "gssapi/raw/ext_s4u.pyx", line 112, in gssapi.raw.ext_s4u.acquire_cr=
ed_impersonate_name
gssapi.raw.misc.GSSError: Major (851968): Unspecified GSS failure.  Minor c=
ode may provide more information, Minor (2529638928): KDC has no support fo=
r padata type

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
ERROR: test_add_cred_impersonate_name (gssapi.tests.test_raw.TestBaseUtilit=
ies)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/gnu/store/zc5mv2h8b7p3lzd4cx3pcbcn9ix25vk5-python-k5test-0.9.2/lib=
/python3.8/site-packages/k5test/unit.py", line 28, in ext_test
    func(self, *args, **kwargs)
  File "/tmp/guix-build-python-gssapi-1.6.5.drv-0/gssapi-1.6.5/gssapi/tests=
/test_raw.py", line 390, in test_add_cred_impersonate_name
    imp_resp =3D gb.add_cred_impersonate_name(input_creds,
  File "gssapi/raw/ext_s4u.pyx", line 199, in gssapi.raw.ext_s4u.add_cred_i=
mpersonate_name
gssapi.raw.misc.GSSError: Major (851968): Unspecified GSS failure.  Minor c=
ode may provide more information, Minor (2529638928): KDC has no support fo=
r padata type

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
ERROR: test_add_with_impersonate (gssapi.tests.test_high_level.CredsTestCas=
e)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/gnu/store/zc5mv2h8b7p3lzd4cx3pcbcn9ix25vk5-python-k5test-0.9.2/lib=
/python3.8/site-packages/k5test/unit.py", line 28, in ext_test
    func(self, *args, **kwargs)
  File "/tmp/guix-build-python-gssapi-1.6.5.drv-0/gssapi-1.6.5/gssapi/tests=
/test_high_level.py", line 364, in test_add_with_impersonate
    new_creds =3D input_creds.add(server_ctx.initiator_name,
  File "/tmp/guix-build-python-gssapi-1.6.5.drv-0/gssapi-1.6.5/gssapi/creds=
.py", line 378, in add
    res =3D rcred_s4u.add_cred_impersonate_name(self, impersonator,
  File "gssapi/raw/ext_s4u.pyx", line 199, in gssapi.raw.ext_s4u.add_cred_i=
mpersonate_name
gssapi.raw.misc.GSSError: Major (851968): Unspecified GSS failure.  Minor c=
ode may provide more information, Minor (2529638928): KDC has no support fo=
r padata type

----------------------------------------------------------------------
Ran 192 tests in 1.200s

FAILED (errors=3D3, skipped=3D9)
Test failed: <unittest.runner.TextTestResult run=3D192 errors=3D3 failures=
=3D0>
error: Test failed: <unittest.runner.TextTestResult run=3D192 errors=3D3 fa=
ilures=3D0>
command "python" "-c" "import setuptools, tokenize;__file__=3D'setup.py';f=
=3Dgetattr(tokenize, 'open', open)(__file__);code=3Df.read().replace('\\r\\=
n', '\\n');f.close();exec(compile(code, __file__, 'exec'))" "test" failed w=
ith status 1
#+END_EXAMPLE

--=20
Katherine




Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#43284; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 15 Sep 2020 15:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.